aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2019-10-19 23:10:24 -0300
committerDavid Bremner <david@tethera.net>2019-12-03 08:12:30 -0400
commit85adc756c97646ae63e68fc2f80afd6b34b86fa9 (patch)
treeefe3d8ae87979058017b0f27c8f323cbe2b16283
parent46e96156218e456df3fdd239e8c055220fba667a (diff)
tests: run python-cffi tests
The entire python-cffi test suite is considered as a single test at the level of the notmuch test suite. This might or might not be ideal, but it gets them run.
-rwxr-xr-xconfigure39
-rwxr-xr-xtest/T391-python-cffi.sh14
2 files changed, 46 insertions, 7 deletions
diff --git a/configure b/configure
index b467643c..79ef34b3 100755
--- a/configure
+++ b/configure
@@ -671,13 +671,38 @@ if [ $have_python -eq 0 ]; then
errors=$((errors + 1))
fi
-printf "Checking for python3 cffi... "
-if "$python" -c 'import sys,cffi; assert sys.version_info >= (3,0)' >/dev/null 2>&1; then
- printf "Yes.\n"
- have_python3_cffi=1
-else
- printf "No.\n"
- have_python3_cffi=0
+have_python3=0
+if [ $have_python -eq 1 ]; then
+ printf "Checking for python3..."
+ if "$python" -c 'import sys; assert sys.version_info >= (3,0)' > /dev/null 2>&1; then
+ printf "Yes.\n"
+ have_python3=1
+ else
+ printf "No.\n"
+ fi
+fi
+
+have_python3_cffi=0
+have_python3_pytest=0
+if [ $have_python3 -eq 1 ]; then
+ printf "Checking for python3 cffi... "
+ if "$python" -c 'import cffi' >/dev/null 2>&1; then
+ printf "Yes.\n"
+ have_python3_cffi=1
+ else
+ printf "No.\n"
+ fi
+
+ printf "Checking for python3 pytest (>= 3.0)... "
+ conf=$(mktemp)
+ printf "[pytest]\nminversion=3.0\n" > $conf
+ if pytest-3 -c $conf --version >/dev/null 2>&1; then
+ printf "Yes.\n"
+ have_python3_pytest=1
+ else
+ printf "No.\n"
+ fi
+ rm -f $conf
fi
printf "Checking for valgrind development files... "
diff --git a/test/T391-python-cffi.sh b/test/T391-python-cffi.sh
new file mode 100755
index 00000000..e4f80dc6
--- /dev/null
+++ b/test/T391-python-cffi.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+test_description="python bindings (pytest)"
+. $(dirname "$0")/test-lib.sh || exit 1
+
+if [ $NOTMUCH_HAVE_PYTHON3_CFFI -eq 0 -o $NOTMUCH_HAVE_PYTHON3_PYTEST -eq 0 ]; then
+ test_done
+fi
+
+
+test_begin_subtest "python cffi tests"
+pytest_dir=$NOTMUCH_SRCDIR/bindings/python-cffi/build/stage
+printf "[pytest]\nminversion = 3.0\naddopts = -ra\n" > $pytest_dir/pytest.ini
+test_expect_success "(cd $pytest_dir && ${NOTMUCH_PYTHON} -m pytest --log-file=$TMP_DIRECTORY/test.output)"
+test_done